Summary: Load balancing and fail over utility for TCP based services
Name: crossroads
Version: 1.38
Release: 1%{?dist}
License: GPL
Group: Applications/Archiving
URL: http://crossroads.e-tunity.com/
# The real download URL is a fixed file, which we rename to contain the version
#Source: http://crossroads.e-tunity.com/downloads/crossroads-stable.tar.gz
Source0: crossroads-%{version}.tar.gz
Source1: http://crossroads.e-tunity.com/doc/crossroads.html
# Don't strip, use CFLAGS...
Patch0: crossroads-1.38-makefile.patch
# Set the proctitle to plain "crossroads"
Patch1: crossroads-1.38-plaintitle.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Crossroads is an open source load balance and fail over utility for TCP based
services. It is a daemon running in user space, and features extensive
configurability, polling of back ends using 'wakeup calls', detailed status
reporting, 'hooks' for special actions when backend calls fail, and much more.
Crossroads is service-independent: it is usable for HTTP(S), SSH, SMTP, DNS,
etc.. In the case of HTTP balancing, Crossroads can provide 'session
stickiness' for back end processes that need sessions, but aren't session-aware
of other back ends.


%prep
%setup -q
%patch0 -p1 -b .makefile
%patch1 -p1 -b .plaintitle
# The sources contain docs we can't build, so provide this taken from the web
%{__install} -p -m 0644 %{SOURCE1} crossroads.html
# We'll provide some test (perl) scripts, but we don't want them to add their
# requirements as hard deps for the entire package
%{__chmod} -x test/*


%build
export CFLAGS="%{optflags}"
%{__make} %{?_smp_mflags} local BINDIR=%{_sbindir}


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_bindir}
%{__make} install BINDIR=%{buildroot}%{_sbindir}
# Install this port 23 to local ssh example configuration file (harmless)
%{__install} -D -p -m 0644 test/t3.conf \
    %{buildroot}%{_sysconfdir}/crossroads.conf


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc ChangeLog crossroads.html test/
%config(noreplace) %{_sysconfdir}/crossroads.conf
%{_sbindir}/crossroads


%changelog
* Mon Jun 18 2007 Matthias Saou <http://freshrpms.net/> 1.38-1
- Initial RPM release.

